Frage von Ishidres, 25

.jar-Datei mit Java-8 öffnen (Linux, Debian, Java7/8, vServer, Minecraft, Server)?

Hallo,

Ich hab auf meinem vServer Java 7 und Java 8 installiert (jeweils immer openjdk-jre). Wenn ich nun probiere meinen Minecraft-Server zu starten bekomme ich eine Fehlermeldung, dass die Plugins nicht geladen werden können.

Nach etwas googeln, hab ich schnell rausgefunden, dass dieser Fehler erscheint, weil das Plugin mit Java 8 programmiert wurde, nicht mit Java 7.

Was heißt, wenn ich die Server-Jar starte, wird sie wohl nicht mit Java 8, sondern Java 7 geöffnet.

Und:

Wenn ich folgendes in der Konsole eingebe:

root@server-ip: java -version

Bekomme ich auch folgende Antwort:

java version "1.7.0_111"
OpenJDK Runtime Environment (IcedTea 2.6.7) (7u111-2.6.7-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.111-b01, mixed mode)

Heißt das jetzt, dass ich Java 8 falsch installiert habe? Oder öffne ich das Programm einfach falsch?

//==========//

Noch mehr Info:

-Ich benutze Debian Jessie

-Um Java 8 zu installieren, hab ich folgendes "Tutorial" benutzt:

https://www.linkedin.com/pulse/installing-openjdk-8-tomcat-debian-jessie-iga-mad...

Wenn ich

apt-cache search openjdk

eingebe, werden mir auch ne ganze Mänge von Java 8 aufgelistet:

openjdk-7-dbg - Java runtime based on OpenJDK (debugging symbols)
openjdk-7-demo - Java runtime based on OpenJDK (demos and examples)
openjdk-7-doc - OpenJDK Development Kit (JDK) documentation
openjdk-7-jdk - OpenJDK Development Kit (JDK)
openjdk-7-jre - OpenJDK Java runtime, using Hotspot JIT
openjdk-7-jre-headless - OpenJDK Java runtime, using Hotspot JIT (headless)
openjdk-7-jre-lib - OpenJDK Java runtime (architecture independent libraries)
openjdk-7-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
openjdk-7-source - OpenJDK Development Kit (JDK) source files
openjdk-7-jre-dcevm - Alternative VM for OpenJDK 7 with enhanced class redefinition
uwsgi-app-integration-plugins - plugins for integration of uWSGI and application
uwsgi-plugin-jvm-openjdk-7 - Java plugin for uWSGI (OpenJDK 7)
uwsgi-plugin-jwsgi-openjdk-7 - JWSGI plugin for uWSGI (OpenJDK 7)
openjdk-8-dbg - Java runtime based on OpenJDK (debugging symbols)
openjdk-8-demo - Java runtime based on OpenJDK (demos and examples)
openjdk-8-doc - OpenJDK Development Kit (JDK) documentation
openjdk-8-jdk - OpenJDK Development Kit (JDK)
openjdk-8-jdk-headless - OpenJDK Development Kit (JDK) (headless)
openjdk-8-jre - OpenJDK Java runtime, using Hotspot JIT
openjdk-8-jre-headless - OpenJDK Java runtime, using Hotspot JIT (headless)
openjdk-8-jre-jamvm - Alternative JVM for OpenJDK, using JamVM
openjdk-8-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
openjdk-8-source - OpenJDK Development Kit (JDK) source files
openjdk-8-jre-dcevm - Alternative VM for OpenJDK 8 with enhanced class redefinition

Ich hoffe, ich hab genug Informationen gegeben und dass mir hier jemand helfen kann :)

Viele Grüße, Ishidres -

Antwort
von LeonardM, 17

Kannst ja wenn du java 7 eh nichtmehr brauchst (hast ja java8) die version deinstallieren (y)

Kommentar von Ishidres ,

jo mach ich mal

Antwort
von tmbergen, 6

Falls du nicht weiterkommst, kannst du mir gerne deinen Skypenamen geben, dann schau ich mir das mal an, ich arbeite mit Linux-Servern

Antwort
von threadi, 18

Du müsstest

openjdk-8-jre

installieren.

Kommentar von Ishidres ,

werde ich morgen ausprobieren

Kommentar von DexterNemrod ,

Eventuell zusätzlich auch openjdk-7-jre deinstallieren.

Kommentar von Ishidres ,

ehm, ok

Keine passende Antwort gefunden?

Fragen Sie die Community